import Foundation
import App

abbrev = 'Akula_TOS'
iconName = 'Akula_TOS'
longName = 'Akula TOS'
shipFile = 'Akula_TOS' 
menuGroup = 'TOS Ships'
playerMenuGroup = 'TOS Ships'
SubMenu = ['Federation']
species = App.SPECIES_GALAXY

Foundation.ShipDef.Akula_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Akula_TOS.desc = "TOS Akula\n\nU.S.S. Tigris NCC-1423 Declaration Class\n\nThe Declaration Class was a Starfleet short range Escort Destroyer of the early half of the 23rd century, perfect for guarding the borders of Federation space and providing escort support for the larger Cruisers.  Firepower is provided by two standard 2-shot photon torpedo tubes and 6 phaser emitters provide all-around coverage.  Subsequent refits to the engine systems provided substantial improvement in engine efficiency, increasing cruise and maximum velocities at both warp and impulse speeds.\n\n  She has limited crew accommodations and science facilities and does not have any shuttle bays making it necessary to maintain relatively close proximity to starbases or larger fleets.\n\nThe Declaration increasingly sees frontline service and is the first choice for support of Constitution class cruisers in Starfleet battle groups and will certainly remain a valuable fleet asset for years to come."
if menuGroup:           Foundation.ShipDef.Akula_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Akula_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
